#REM
			Test Calibrate/reProgramme Meter Inputs
			   on Charge Controller v1 & 2 & 3
			  Ver 1		23rd February 2008
#ENDREM


	#picaxe 28X					;commands Programming Editor to use its 28X settings
	;#picaxe 28X1				;commands Programming Editor to use its 28X1 settings

Main:
	DO
	readadc10 0,w0		; read in Volt's ADC signal
	readadc 1, b2		; read in from +&- 100 Amp sorce No1's ADC signal	(Battery Amps)
	readadc 2, b4		; read in from +&- 50 Amp sorce No2's ADC signal	(Generator Amps)(one input version)
	readadc 3, b6		; read in from +&- 100 Amp sorce No3's ADC signal	(Available Amps)

	sertxd (cr,lf,".  V_",#w0,".  .  .  No1_",#b2,".  .  .  No2_",#b4,".  .  .  No3_",#b6)	; send data to PC for Prog' Editor's Terminal logging


;		*** Calc reading for Display ***

	b8 = w0 -100 		;min 0 max 255		; 
	b9 = b2-28			;min 0 max 256	; reads 128 to 28 for -100amps and 128 to 228  for +100amps
	b10 = 128-b4/2	 	;min 0 max 256	; reads - side only, 0 = 128 and 28 = -50amps
	b11 =b6-128 		;min 0 max 256	; reads + side only, 0 = 128 and 228 = +100amps

	sertxd (cr,lf,".  V_",#b8,".  .  .  No1_",#b9,".  .  .  No2_",#b10,".  .  .  No3_",#b11)


;		*** Calc reading for Logging ***

	b0 = w0 -100 		;min 0 max 255
	b1 = b2-28			;min 0 max 256	; suits graphing, if 0 is offset 100
	b4 =  128-b4/2		;min 0 max 256	; suits logging '-' side

	if b6 > 128 then gosub pos 			; suits logging + and - values seperately
	if b6 = 128 then gosub zero			; suits logging + and - values seperately
	if b6 < 128 then gosub neg			; suits logging + and - values seperately

		
;		*** View readings on Terminal ***

	sertxd (cr,lf,".  V_",#b0,".  .  .  No1_ ",#b1,".  .  .  No2_",#b4,".  .  .  No3_ ",b2,#b3,cr,lf)

	pause 4000
	LOOP

pos:
	b3=b6-128
	b2="+"
	return
zero:
	b3=0
	b2=" "
	return
neg:
	b3=128-b6
	b2="-"
	return


END














